var mapper = mapperFactory.createMapperMult(["EstPrecificacaoGrpPreco", "EstProdPrecificacaoMetaMargem"]);
try{
   let metaCadastrada = mapper.selectList('EstPrecificacaoGrpPreco.listarMeta', {'cdEmp': message.get('cdEmp') , 'cdGrupo': message.get('cdGrupo')});
   if(metaCadastrada.size() > 0)
    throw {code: 599, message: "Esse grupo já possui meta da margem bruta definido!"};

    mapper.insert('EstProdPrecificacaoMetaMargem.incluirEstProdPrecificacaoMetaMargem', {'cdEmp': message.get('cdEmp') , 'cdGrupo': message.get('cdGrupo'), 'cdUsu': message.get('cdUsu')});
    mapper.commit();
}catch(err){
    mapper.rollback();
    if(err.code){
        throw JSON.stringify(err);
    }else{
        throw err;
    }
}